DISASSEMBLE(1)

NAME
disassemble

SYNOPSIS
  disassemble [--bare] [bytecode.plc] > bytecode.asm
  assemble bytecode.asm > bytecode.plc

DESCRIPTION
Decompiles binary bytecode to readable and recompilable bytecode assembler.

byteocde is a binary file wih either the magic 4 bytes 'PLBC' at the start, or something like "#! /usr/bin/perl\n use ByteLoader '0.07'"

Without the filename uses STDIN.

OPTION --bare
Without the option --bare the output will be commented.

Note that older assembler, before B::Assembler version 0.07, i.e. up to perl-5.8.x, will not be able to parse this commented assembler.

But --bare is only optional, so the default is not backwards compatible. Rationale: Disassembling is primarily done to make binary bytecode readable, and not necessarily recompilable with older assemblers.